## transmission-remote-gtk-1.2.tar.gz

=== freebsd/Makefile ===
# New ports collection makefile for:	transmission-remote-gtk
# Date created:			22 February 2011
# Whom:				J.D. Morris <jdm720@gmail.com>
#
# $FreeBSD$
#

PORTNAME=	transmission-remote-gtk
PORTVERSION=	1.2
CATEGORIES=	net-p2p
MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}

MAINTAINER=	jdm720@gmail.com
COMMENT=	GTK app for remote management of Transmission via RPC

LIB_DEPENDS=	json-glib-1.0:${PORTSDIR}/devel/json-glib \
		unique-1.0.2:${PORTSDIR}/x11-toolkits/unique \
		curl:${PORTSDIR}/ftp/curl

BUILD_DEPENDS=	intltool-update:${PORTSDIR}/textproc/intltool \
		p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser

RUN_DEPENDS=	${BUILD_DEPENDS}

USE_GNOME=		glib20 gconf2
INSTALLS_ICONS=		yes
USE_GMAKE=		yes
GNU_CONFIGURE=		yes
CONFIGURE_ARGS+=	--without-libappindicator

OPTIONS_SINGLE=		GTK
OPTIONS_SINGLE_GTK=	GTK2 GTK3
OPTIONS_DEFINE=		NLS GEOIP LIBNOTIFY LIBPROXY
OPTIONS_DEFAULT=	GTK3 NLS LIBNOTIFY

LIBNOTIFY_DESC=	Desktop Notifications framework (devel/libnotify)

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MGTK2}
USE_GNOME+=	gtk20
CONFIGURE_ARGS+=--enable-gtk2
.else
USE_GNOME+=	gtk30
.endif

.if ${PORT_OPTIONS:MNLS}
USES+=		gettext
CONFIGURE_ENV+=	DATADIRNAME=share
PLIST_SUB+=	NLS=""
.else
CONFIGURE_ARGS+=--disable-nls
PLIST_SUB=	NLS="@comment "
.endif

.if ${PORT_OPTIONS:MGEOIP}
LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoIP
.else
CONFIGURE_ARGS+=--without-libgeoip
.endif

.if ${PORT_OPTIONS:MLIBNOTIFY}
LIB_DEPENDS+=	notify:${PORTSDIR}/devel/libnotify
.else
CONFIGURE_ARGS+=--without-libnotify
.endif

.if ${PORT_OPTIONS:MLIBPROXY}
LIB_DEPENDS+=	libproxy:${PORTSDIR}/net/libproxy
.else
CONFIGURE_ARGS+=--without-libproxy
.endif

MAN1=		transmission-remote-gtk.1

.include <bsd.port.mk>

=== debian/changelog ===
transmission-remote-gtk (1.2-1) stable; urgency=low

  * New upstream release 1.2

 -- Alan Fitton <alan@eth0.org.uk>  Wed, 11 Jun 2014 23:20:00 +0000

transmission-remote-gtk (1.1.1-1) stable; urgency=low

  * New upstream release 1.1.1

 -- Alan Fitton <alan@eth0.org.uk>  Tue, 09 Jun 2013 23:00:00 +0000

transmission-remote-gtk (1.1-1) stable; urgency=low

  * New upstream release 1.1

 -- Alan Fitton <alan@eth0.org.uk>  Tue, 04 Sep 2012 22:00:00 +0000

transmission-remote-gtk (1.0.2-1) stable; urgency=low

  * New upstream release 1.0.2

 -- Alan Fitton <alan@eth0.org.uk>  Tue, 29 Jun 2012 15:40:00 +0000

transmission-remote-gtk (1.0.1-1) stable; urgency=low

  * New upstream release 1.0.1 (turtle mode/remote prefs crash fix)

 -- Alan Fitton <alan@eth0.org.uk>  Tue, 01 Jan 2011 13:13:56 +0000

transmission-remote-gtk (0.8-1) stable; urgency=low

  * New upstream release 0.8

 -- Alan Fitton <alan@eth0.org.uk>  Fri, 09 Dec 2011 13:13:56 +0000

transmission-remote-gtk (0.7-1) unstable; urgency=low

  * New upstream release 0.7

 -- Alexandre Montplaisir <alexandre.montplaisir@gmail.com>  Sun, 04 Dec 2011 14:48:56 -0500

transmission-remote-gtk (0.5.1-1) unstable; urgency=low

  * New upstream release 0.5.1

 -- Alan Fitton <alan@eth0.org.uk> Fri, 23 Apr 2011 23:45:30 +0100

transmission-remote-gtk (0.5-1) unstable; urgency=low

  * New upstream release 0.5

 -- Alan Fitton <alan@eth0.org.uk>  Fri, 22 Apr 2011 23:45:30 +0100

transmission-remote-gtk (0.4-1) unstable; urgency=low

  * Initial debian/ubuntu package

 -- Alan Fitton <alan@eth0.org.uk>  Sun, 10 Apr 2011 23:45:30 +0100

=== debian/control ===
Source: transmission-remote-gtk
Section: net
Priority: optional
Maintainer: Alan Fitton <alan@eth0.org.uk>
Build-Depends: debhelper, autotools-dev, libcurl4-openssl-dev,
 libgtk-3-dev, libglib2.0-dev, libproxy-dev,
 libnotify-dev, libjson-glib-dev, libgeoip-dev, intltool,
 dh-autoreconf, libappindicator-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/transmission-remote-gtk/
Vcs-Git: https://code.google.com/p/transmission-remote-gtk/
Vcs-Browser: http://code.google.com/p/transmission-remote-gtk/source/browse/

Package: transmission-remote-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Remotely manage the Transmission BitTorrent client
  transmission-remote-gtk is a GTK client for remote management of
  the Transmission BitTorrent client using its HTTP RPC protocol.
